
 ZTreeWin Revision History
 --------------------------

 Version 2.1.093 (4 September 2010)
 ---------------
 Change- Alt-nnn/0nnn Numpad input supports 1-3 decimal digits
 Change- Existing file - Display source name when changed to match target
 Change- Existing file - Highlight target filename when different to source
 Fixed - Alt-Copy/Mirror - Detect directory shortname clash
 Fixed - Alt-F5 - (7-Zip) - Not prompting for password when required
 Fixed - Alt-F5 - (Zip) - Not parsing PKWare AV extra field
 Fixed - Alt-F5 - Not parsing dates formatted with .'s
 Fixed - Alt-F7 - (un-max) - Prevent centering window unless neccessary
 Fixed - Alt-Graft (across drives) - Completion message shown before prune stage
 Fixed - Copy/Move - Not resetting error message text on successful completion
 Fixed - Ctrl-Delete - Update F7 Autoview & ZAAP when paused for confirmation
 Fixed - Ctrl-Delete/Move - (CO-3K=Yes) - File repositioning incorrect
 Fixed - Ctrl-F7 Megaview - MP3 - UTF-8/16 encoded tags not displayed correctly
 Fixed - Ctrl-Search - Buffer overflow with wide console setting
 Fixed - Edit - Command line not quoted when shortnames disabled
 Fixed - eXecute - Buffer overflow expanding long environment variables
 Fixed - F2 Browse (F8 Split) - Current directory being set to browsed directory
 Fixed - F7 Autoview - Archive listing - Dump/Hex/Junk showing list not file contents
 Fixed - History - Buffer overflow adding mark with wide console
 Fixed - History - Sort order not reset after applying a filter
 Fixed - History menu - F4 Load ZTW.HST not reloaded from alternate config directory
 Fixed - JFC - Problem highlighting wide target filename
 Fixed - Move - Removed write-access check on source file
 Fixed - NT4 not supported due to missing API functions
 Fixed - Print - ASA mode - CRLF lines printing 2 blank lines
 Fixed - Quit - GPF when ZAAP active and no drive logged
 Fixed - Target directory - Use correct case of existing pathname
 Fixed - ZTWIN.BAT - Pathnames containing '&' not being quoted

 Version 2.1.073  (3 April 2010)
 ---------------
 Change- Ctrl-View/F7 Autoview - Retain HEX mode between files
 Change- Alt-ZLog - Ability to load v1.50+ ZLOG files
 Change- TODAY - Filespec/ZCOLORS.INI - date bumped after midnight
 Change- View - ALPHA - Tab - Display current setting
 Fixed - Alt-Copy/Mirror - Detect directory shortname clash
 Fixed - Alt-Mirror - Warn if target directory unavailable
 Fixed - Ctrl-Delete - Update F7 Autoview & ZAAP when paused for confirmation
 Fixed - Ctrl-ZList (DW) - Directory refreshing causing loss of tags
 Fixed - Edit - Command line not quoted when shortnames disabled
 Fixed - Extended Stats - Cluster count overflow causing incorrect Capacity display
 Fixed - Extended Stats - Setting Ctrl keyboard state on exit
 Fixed - Log - '*' - Skip on error not proceeding with next drive
 Fixed - Logging - Allow logging of 'real' directory names '.' and '..'
 Fixed - Open - Device names as extension caused GPF on some systems
 Fixed - Rename mask - Prevent truncation of additional trailing periods
 Fixed - Rename mask validation failing with single Unicode #2022 character
 Fixed - Tagged file stats shown as 0 when no matching files in Normal FW
 Fixed - View - OEM codepage not set in all cases

 Version 2.1.063  (4 February 2010)
 ---------------
 Change - /CP:nnn - Set output codepage for View display of OEM text
 Change - /T - Support for two /T title strings
 Change- Alt-F10 - CO-7K moved to 7L, 7L moved to 7M
 Change- Alt-F5 - Improved parsing performance of archiver list output
 Change- Alt-Prune - Allow aborting of "Checking attributes..." step
 Change- CO-4D - Binary compare functions now display completion prompt
 Change- Compare/Alt-Compare - Redisplay active options during operation
 Change- Compare/Alt-Compare - Size setting saved to ZTW.HST
 Change- Ctrl-Enter (FW) - Preserve tags-only mode when switching drives
 Change- Ctrl-Y - ZAAP timing delay reduced
 Change- Logging - Allow logging of 'real' directory names '.' and '..'
 Added - Alt-F5 - DW - '|' Prompted spell search
 Added - Alt-F10 - CO-7K - Compare/Alt-Compare Size setting default
 Added - Compare/Alt-Compare - Size option (differ)
 Added - eXecute - F1 Help
 Added - F12 Mnemonics: ALT_[, ALT_]
 Added - History menu - F4 Load ZTW.HST
 Added - Stats (extended) - Ctrl-F3 - Auto refresh
 Fixed - #ZTTOOLS - Trailing '\..' not interpreted correctly
 Fixed - /API - Progress bar updating incorrectly due to alternate data streams
 Fixed - Alt-F1 - Not reloading ZTW.KEY originally read from current directory
 Fixed - Alt-F5 - Support for 64-bit file sizes
 Fixed - Alt-F5 - Parsing issue for 7-Zip output with blank columns
 Fixed - Alt-F5 - Parsing issue for CABs with filenames with leading backslash
 Fixed - Alt-F5 (w/stored pathnames) - Stats display issues
 Fixed - Alt-F7 (un-max) - Prevent moving window to previous monitor
 Fixed - Alt-F10 - Window not resizing correctly in fullscreen mode
 Fixed - Alt-Log/Branch - Esc followed by Esc not cancelling logging
 Fixed - Alt-Log/Branch - Mouse support incomplete
 Fixed - Alt-Mirror - Improved processing speed for existing target files
 Fixed - Alt-Mirror - Path=Full - Replicate parent directory attributes & timestamps
 Fixed - Alt-Mirror - Tagged file with changed size caused GPF
 Fixed - Alt-Prune - Allow pruning to continue with directories hidden by CO-2J
 Fixed - Bookmark navigation not automatically removing deleted directories
 Fixed - Compare - Binary - Improved progress-bar tracking
 Fixed - Copy/Move - Existing file/Src & Tgt -  Tab not entering current filename
 Fixed - Copy/Move - Existing target file deleted when open with delete sharing
 Fixed - Ctrl-F5 - @list pathname not quoted when no shortname
 Fixed - Ctrl-F5 - zip.exe with Display Output = 'No' caused problem with keyboard input
 Fixed - Ctrl-F3 (FW) - Auto-refresh not cancelled when empty FW closed
 Fixed - Ctrl-Move - F7 Autoview panel not cleared when last file moved
 Fixed - Ctrl-Move - Progress bar incorrect after skipping error
 Fixed - Ctrl-Search - Full pathnames limited to MAX_PATH
 Fixed - Ctrl-Search - Trailing asterisk being treating as wildcard
 Fixed - Ctrl-ZList (FW) - Log branch command with wildcards not fully logged
 Fixed - Ctrl-ZList - Invalid file format could cause crash
 Fixed - Error handler - Displaying old error messages
 Fixed - Execute - Display correct current directory name when access denied
 Fixed - Extended Stats - Commit totals incorrect under X64 Windows & Win2000
 Fixed - Extended Stats - Last menu line mouse actions lost when returning
 Fixed - F3 (DW) - Remove missing subdirectories of directories now unloggable
 Fixed - F8/TAB - CO-1S causing unlogged directory to be relogged
 Fixed - Filespec - ZTW.HST v1 conversion not translating character range symbols
 Fixed - Handle leak invoking external processes
 Fixed - History - Prevent writing ZTW.HST on premature exit
 Fixed - History list - Navigation inoperable following call to unzip32.dll
 Fixed - History list - Prevent mouse selection of blank history lines
 Fixed - History list - Screen restoration issue under Windows 7
 Fixed - Invert Filespec (F8 Split) - Stats showing LHS inverted state for both panes
 Fixed - Log - F4 Map to network - Closed Log menu
 Fixed - Log (FW) - Relogging current drive after temporary sort lead to GPF
 Fixed - Move - F8 Split - Opposite panel file counter incorrect moving to same drive
 Fixed - New date - F5 Adjust - Month adjustment unnecessarily adjusting day
 Fixed - NT4 not supported due to missing API functions
 Fixed - Print file - Wrap - Line-feeds/carriage-returns missing
 Fixed - Progress-bar - Improved monitoring of data-rate for remaining time calculations
 Fixed - SFW divider position changed incorrectly when invoking shell functions
 Fixed - Spell Search (Prompted) - Cursor position incorrect if *.* previously removed
 Fixed - Spell Search (Prompted) - Unable to close Spell Search in F7 Autoview mode
 Fixed - Stats (extended) - Filespec not using correct color when inverted
 Fixed - Treespec - F6 - Terminal server/Vista/Windows 7 directory redirection
 Fixed - View - ALPHA - Search strings with wildcards not highlighted following tabs
 Fixed - View - Ctrl-PgUp/PgDn repositioning incorrectly on small files
 Fixed - View - DUMP/HEX - (CO-2B=Yes) - Last used UTF charset caused GPF
 Fixed - View - Error message for inaccessible file showing incorrect filename
 Fixed - View - Numpad-5/Shift-NumPad1-9 inoperable following End key
 Fixed - View - Search - Unicode - Problem highlighting hits correctly
 Fixed - View - Search Hit Offset - Not positioning last page correctly
 Fixed - View - Unicode - Line/Ctrl-Up/PgUp repositioning incorrectly
 Fixed - Wash - Temp MFT files being locked on abnormal termination
 Fixed - ZAAP - Shift/Ctrl-key reporting screen-status of '-'
 Fixed - ZTW_vDBF.exe - Not passing search strings correctly

 Version 2.0.206 (25 March 2009)
 ---------------
 Change- Ctrl-Search - Error handler now tracks Keep/Lose response for each error
 Change- Default editor changed to Notepad.exe
 Change- Error Handler - Now tracks the last five errors for the current operation
 Change- ZNOLOG.INI - Support for directory wildcards
 Fixed - Alt-F5 - Archive with stored paths not displayed SFW with correct sort criteria
 Fixed - Alt-F5 - Extract - F2 Browse from 'As' prompt resulted in invalid drive error of '$:'
 Fixed - Alt-F5 - ZIP - Problem with OEM-encoded filenames stored with Win32 header
 Fixed - Alt-F5 - ZIP - FileAPIs left in OEM mode effecting Volume name display
 Fixed - Alt-I - Owner information not retrieved under 64-bit Windows
 Fixed - Alt-Mirror - Unable to use UNC target pathname
 Fixed - Copy/Move - Existing file - Rename Source or Target using incorrect timestamp for mask
 Fixed - Ctrl-[ (FW) - Prevent re-adding current dirctory bookmark when exiting FW
 Fixed - Ctrl-[ (DW) - Remove current directory only if bookmarked
 Fixed - Ctrl-F7 Megaview - Not displaying version information
 Fixed - Ctrl-Rename - Problem initializing mask with timestamp in root directory
 Fixed - Error log - Lines not saved with CRLF termination
 Fixed - Error log - Save - Default filename format changed to YYYYMMDD@HHMMSS.log
 Fixed - JFC - Target pathname containing period truncated when filename has no extension
 Fixed - Log - Remote drives not showing UNC in tree display in some cases
 Fixed - History window - Alt-F10/Read ZTW.HST crashing when releasing old lists
 Fixed - Print - Windows drivers unable to open Print dialog under 64bit Windows
 Fixed - View - ALPHA - ANSI - Search hits for lowercase ANSI matching OEM
 Fixed - View - OEM/ANSI - Convert control-characters to Unicode for display
 Fixed - View - DUMP - Search hits for hex strings not highlighted
 Fixed - View - DUMP - Search hits for unicode strings not highlighted
 Fixed - ZCOLORS.INI - Problems setting some background colors

 Version 2.0.183 (16 February 2009)
 ---------------
 Added - /ZC - Load alternate color configuration file.
 Added - /ZI - Load alternate configuration file.
 Added - Alt-F10 - F4 - Alt-Export colors to zcolors.txt
 Added - Alt-F10 - F4 - Window (F2 Browse) color setting
 Added - ARCHIVER.BB_ - UHARC support
 Added - Ctrl-Z - Support for directory wildcards (see ZLIST.ZL_)
 Added - Stats (Extended) - Additional System Information displayed as space permits
 Added - Treespec - F5 Edit - Support for wildcards in pathname input
 Added - ZCOLORS.INI - Support for background color setting
 Added - ZCOLORS.INI - Support for overriding ZTW.INI colors settings
 Change- Alt-Prune - Allow pruning of partially logged branch
 Change- Copy - Ignore errors attempting to set timestamps after copying file
 Change- Filespec - Highlight filespec when not *.*
 Change- Open - Search for ext.BAT in #ZTTools if not found in #ZTHome
 Change- Stats (Extended) - Rearranged information to allow long volume name display
 Change- Window resizing - workaround for improved support under Wine
 Change- ZCOLORS.INI - Extension matching changed to full Filespec support
 Change- ZCOLORS.INI - STATS: setting now TAGSTATS: and FSSTATS:
 Change- ZLOG.TMP - Load ZLOG.TMP if found in current directory
 Fixed - Alt-F5 - .7z - Problem parsing directory entries
 Fixed - Alt-F5 - .ZIP - OEM/ANSI translation issues
 Fixed - Alt-F5 - Extract - Retry after Access Denied error not proceeding
 Fixed - Alt-F5 - NFW/CO-3P=No - SFW skipped first time
 Fixed - Alt-F5 - Winzip SFX detection not working
 Fixed - Alt-Graft - Aborting Graft across drives lead to GPF
 Fixed - Alt-ZLog - Not saving SFW divider position correctly
 Fixed - Alt-ZLog - Random problems loading ZLOG.TMP files
 Fixed - Compare - UNC target path generating an error
 Fixed - Ctrl-Print - Problem printing to devices other than CLIP:
 Fixed - Ctrl-Volume - Volume name required OEM/ANSI translation
 Fixed - F12 - Macro running indicator 'P' not shown during SLEEP at end of looping macro
 Fixed - Filespec - Alt-[/] range specification not working
 Fixed - Filespec - Stricter input validation to catch invalid /,\,:
 Fixed - Keyboard input - Support for Alt-Up on Numpad to save to History
 Fixed - Logging long pathnames caused GPF
 Fixed - Move - (GFW) - F8 Split - Problem moving renamed file matching Filespec in opposite panel
 Fixed - Rename - Tab - Problem with Unicode names not containing any characters that can change case
 Fixed - Shift-F10 (Context menu) - Problem launching ZSHELL.EXE from a UNC path
 Fixed - Shift-F10 (Context menu) - ZSHELL.EXE not exiting under 64bit windows
 Fixed - Spell Search (Prompted) - Alt-% not navigating to entry retrieved from history
 Fixed - Split mode statisics (Both) - Stats not refreshing in opposite pane when current drive relogged
 Fixed - Tags-Only mode (F8 Split) - Logging current drive from opposite pane not resetting mode
 Fixed - Target directory name didn't support :: rename insertion mask
 Fixed - Treespec/F6 Windows folders - GPF if ZTW.HST not loaded
 Fixed - UNC target directories not being created when requested
 Fixed - View - WRAP - Line - UTF-16 - Not able to navigate beyond first wrapped line
 Fixed - View - WRAP - Search - Problem positioning hits on long lines
 Fixed - ZNOLOG.INI - Random GPF checking pathnames while logging

 Version 2.0.136 (16 December 2008)
 ---------------
 Added - Alt-F10 - CO-4D - Ctrl/Alt-Copy/Move prompt on completion
 Added - Keyboard layout switching for NT4 (Reqs PDH.DLL - see http://support.microsoft.com/kb/284996)
 Added - Print/Ctrl-Print - Support for "CLIP:" to write to Windows clipboard
 Change- Alt-F8/F9 - Reposition window to keep bottom-right corner visible
 Change- Alt-F10 - CO-4D Moved to CO-4E
 Change- Ctrl-Ins - Tagged file delimiters - CR/LF now default
 Change- Ctrl-Ins - Tagged file delimiters - CR/LF, space, comma, semi-colon, Tab
 Change- History - F3 - unsort current list before saving ZTW.HST
 Change- Stats - Remove numeric delimiters as required from large values
 Change- ZTW.HST - Write to temp file (ZTW.H$T) to avoid truncation
 Fixed - Alt/Ctrl-Move - Update progress-bar after skipping an error
 Fixed - Alt-Prune - Undeletable files incorrectly being unlogged
 Fixed - Ctrl-Ins/Tagged - Buffer overflow
 Fixed - Ctrl-Zlist - Last R= command failed if last line in ANSI .ZLS file
 Fixed - Ctrl-Zlist - T=C:\file.ext caused problem when C:\ collapsed
 Fixed - F7 Autoview - F12 - WHILE_NOT_* macros not terminating when required
 Fixed - F11 - Bookmark list causing history memory corruption
 Fixed - Move - Alt-K/Branch totals incorrect after external change in file size
 Fixed - View - ALPHA/Masked - Gather/Clipboard CR/LFs being omitted
 Fixed - View - Search - Default to Text mode for UTF-8 files
 Fixed - Spell Search (Prompted) - Alt-% not navigating to entry retrieved from history
 Fixed - Target directory name didn't support :: rename insertion mask
 Fixed - ZAAP - Closing ZTree window while About box open caused GPF
 Fixed - ZTW.HST - Not being loaded correctly from NTFS compressed drive

 Version 2.0.116 (15 November 2008)
 ---------------
 Added - /ZB1 - Output ZAAP zbar.dat in v1.x format
 Added - Alt-F4 (B/S/G FW) - All files - Remove the active compare filter
 Added - Alt-Goto - FW - (.LNK) - Navigate to target of shell link (WL#79)
 Added - Alt-Release/Non-current directories
 Added - Alt-Release/Other branches
 Added - Alt-F10 - CO-2L - Window sizing (Proportional/DW Fixed/SFW Fixed)
 Added - Alt-F10 - CO-6W - Error log/summary dialog
 Added - Alt-F10 - CO-6X - Log Retry attempts
 Added - Alt-Mirror - F8 Sync (one way)  - Delete target directories/files not on source
 Added - Alt-Mirror - F8 Sync (two way)  - Additionally mirror from destination to source
 Added - ARCHIVER.BB_ - [LFNW] & [LFNU] switches for UTF-16 & UTF-8 @list format
 Added - ARCHIVER.BB_ - FreeArc support
 Added - Ctrl-Z - Support Branch logging depth using format 'Ln=' (see ZLIST.ZL_)
 Added - Filespec - F4 Current filespec - Insert current filespec
 Added - View (DW) - eXecute - TAB - Insert current path/filename
 Change- /O - Option deprecated
 Change- /ZB - Output ZAAP zbar.dat in v2.x format - See ZAAP.TXT
 Change- /ZJ - Option deprecated - Make directory F4 Jump option now saved to ZTW.HST
 Change- Alt-F8 - Window width increment set to 16 columns
 Change- Alt-F10 - Window height increased to 34 lines for future expansion
 Change- Alt-Graft - Prevent creation of a new directory under the source directory
 Change- Alt-Prune - Improved prompts for "F6 Delete only empty directories"
 Change- Alt-Wash - Message displayed at completion
 Change- Copy/Move - F5/F6 option settings saved if function aborted
 Change- F7 Autoview - WRAP mode now preserved between files
 Change- F9 (DW) - Refresh first-level directories on exit
 Change- F12 - Default current .ZTM name and insert with TAB
 Change- F12 - PAUSE - Clear last menu line only
 Change- History lists expand dynamically to support unlimited marked entries
 Change- Make directory - F4 Jump option setting saved if function aborted
 Change- "System Volume Information" directory - Ignore "Access Denied" errors on mounted drives
 Change- Unicode storage and manipulation of all file and directory names
 Change- View (.zip) - Append '.' to archive filename with no extension to avoid WinZip bug
 Change- View - Charset - Allow toggling to UTF-8/UTF-16LE/UTF-16BE when Unicode not detected or CO-5B=Yes
 Change- View - HEX - Edit - Enter/Esc now remains in edit mode without saving
 Change- View - UNICODE Charset toggle now dislayed as UTF-8/UTF-16LE/UTF-16BE
 Change- View - UTF-8 encoding detection improved
 Change- View - UTF-16 handling improved
 Change- Windows size default changed to 96x43
 Change- eXecute (DW) - Refresh first-level directories on exit
 Change- ZTW.HST - SFW divider now saved as ratio of window height
 Fixed - #ZTTools - Prevent relative path resolution when ZTW.INI loaded
 Fixed - /K - Unicode command-line not translating correctly
 Fixed - /KBR - Not appending to #ZTHome\zkeys.log
 Fixed - Alt-F5 - .ZIP - OEM/ANSI translation issues
 Fixed - Alt-F5 - (missing unzip32.dll) - Incorrect password command being passed when extracting
 Fixed - Alt-F5 - Buffer-overrun parsing ZTW.$$$ when no size field found
 Fixed - Alt-F5 - Ctrl-Extract - Override/Skip existing file prompt missing for RSH target file
 Fixed - Alt-F5 - Ctrl file menu not reacting correctly to mouse clicks
 Fixed - Alt-F5 - Password input buffer size increased to 255 characters
 Fixed - Alt-Graft - Check for junctions could not be aborted
 Fixed - Alt-Prune - Directory-name confirmation not initializing input buffer correctly
 Fixed - Alt-ZLog - Bookmarks not being loaded correctly from ZLOG.TMP
 Fixed - ARCHIVER.BB_ - Support for archive signatures with embedded nulls (\x00)
 Fixed - Batch parameter %d being truncated
 Fixed - Compare - Limited to comparing paths of MAX_PATH length
 Fixed - Copy - /API - Reset progress-bar after partially copied file fails to complete
 Fixed - Copy/Move - Handle case where existing target has shortname matching source filename
 Fixed - Ctrl-Delete/Move - Not updating ZAAP zbar.dat after command
 Fixed - Ctrl-F3 (F3) - Not cancelling after directory renamed externally
 Fixed - Ctrl-F5 - Buffer overflow writing long paths to list.$$$
 Fixed - Ctrl-F5 - Encryption - Buffer overrun in password
 Fixed - Ctrl-Ins - Short names option not working
 Fixed - Ctrl-Search - Hex search not working
 Fixed - Ctrl-Search - Unicode - Case insenstive searches not matching
 Fixed - Ctrl-Treespec - Not toggling to second last history entry when last was missing
 Fixed - Ctrl-View - CO-5B=No - WRAP mode prevented next binary file defaulting to DUMP mode
 Fixed - Directory sorting using ANSI collating by default
 Fixed - F2 Browse - Buffer-overflow when opened from non-directory input prompt
 Fixed - F7 Autoview - Leaving Autoview in an unsplit normal FW did not redraw path line
 Fixed - F7 Autoview - Long search hit not highlighted correctly
 Fixed - F8 Split/TAB - (CO-1V=No/CO-3E=Diff) - Sort order lost following Move/Delete/Rename
 Fixed - F9 - Alt-E - PgDn/PgUp - Not paging script by the correct amount of lines
 Fixed - F9 - Alt-E - Write - Buffer overrun
 Fixed - F9 - #ZTSet - Not substituting batch parameters
 Fixed - F12 - Macro directives adding ? to active input line
 Fixed - Filespec entered on command-line not retaining quotes
 Fixed - Log - F4 Map network drive - Not opening dialog under Windows x64
 Fixed - Log - Remote drives not showing UNC in tree display under Windows x64
 Fixed - Log - * All - Responding to logging error with Skip prevented Log function from ending
 Fixed - Move - Global FW - Target directory on different drive not resorted
 Fixed - Open - Prevent endless error dialogs
 Fixed - New date - Error dialog displaying unrelated filename from previous operation
 Fixed - Print - Printing to LPTn or PRN caused error from unrequired file logging
 Fixed - Shift-F10 (Context menu) - Properties - timing issue under Vista
 Fixed - Tag/Untag (Archive DW) - Alt-K tagged files display not updated in tree
 Fixed - Treespec - '|' Append from history caused buffer-overflow
 Fixed - UNC pathnames not found by various functions
 Fixed - View - CO-5B=Yes - Charset not defaulting to UNICODE when required
 Fixed - View - CO-5B=Yes - Charset not toggling to detected Unicode mode
 Fixed - View - DUMP - Search highlighting problem
 Fixed - View - Gather - Append - Not using correct line termination when not CR/LF
 Fixed - View - HEX - Edit - Extended characters being improperly converted to OEM/ANSI
 Fixed - View - Offset - Offset incorrect when Line option previously used
 Fixed - View - UNICODE - Offset command not working correctly
 Fixed - View - UNICODE - Search highlighting problem
 Fixed - ZAAP - Update zbar.dat accordingly when FW is empty
 Fixed - ZNOLOG.INI not being parsed correctly
 Fixed - ZTW.HST - Problems converting large ZTW.HST file to Unicode
